Zend framework, pear installer

apps

#1

Just thought I’d try out the convenience of installng the Zend Framework with a pear installer in my personal lib directory, so…

[taffy]$ pear channel-discover zend.googlecode.com/svn[b] Adding Channel "zend.googlecode.com/svn" succeeded Discovery of channel "zend.googlecode.com/svn" succeeded[/b] [taffy]$ pear install zend/zend[b] zend/Zend requires PHP (version >= 5.1.4, version <= 6.0.0), installed version is 4.4.9 zend/Zend requires PEAR Installer (version >= 1.6.2), installed version is 1.5.0 No valid packages found install failed[/b] So I tried this:

[taffy]$ pear config-set php_bin /usr/local/php5/bin/php[b] config-set succeeded[/b] Then I tried again, same result. How do we persuade pear to use a PHP5 binary?

(Not that it’s the end of the world or anything. I can still do the old manual install.)

Thanks.


The subtle source is clear and bright
The tributar streams flow through the darkness

http://davidmintz.org/


#2

.bash_profile / .bashrc

Add, then uncomment, any you require:

#export PHP_PEAR_PHP_BIN=/usr/local/php5/bin/php #export PATH=/home/username/pear:/usr/local/php5/bin:$PATH #export PATH=/usr/local/php5/bin:$PATH #alias php=/usr/local/php5/bin

Maximum Cash Discount on any plan with MAXCASH

How To Install PHP.INI / ionCube on DreamHost


#3

thanks much. I will give it a try at the next opportunity (in the meantime I have used the old-fashioned manual installation method).


The subtle source is clear and bright
The tributar streams flow through the darkness

http://davidmintz.org/